Update package permission Everytime
0
0
Entering edit mode
vivekr • 0
@vivekr-14904
Last seen 3.6 years ago

Hi,

 

Everytime, when I execute any of the script (NGS pipeline most of the time) in which bioconductor is called, then I got the following message every time :

Bioconductor version 3.6 (BiocInstaller 1.28.0),
  ?biocLite for help
BioC_mirror: https://bioconductor.org
Using Bioconductor 3.6 (BiocInstaller 1.28.0), R
  3.4.3 (2017-11-30).
installation path not writeable, unable to update
  packages: RMySQL, cluster, Matrix
Old packages: 'lme4', 'network'

Update all/some/none? [a/s/n]:

This will not succeed until I press `n`. I tried some other ways to update packages by working in R as a sudo user and then call bioconductor and then press `a` so that there is no issue related to permission. But in case of few packages, it is still not working. I need suggestions. Thanks.

 

 

software error R bioconductor rmysql • 572 views
ADD COMMENT
0
Entering edit mode

As the posting guide instructs, you should show the code that is causing the problem. We aren't psychic. I presume you're calling biocLite() in your script (unnecessarily, it would seem); what are the arguments? What is the context?

ADD REPLY

Login before adding your answer.

Traffic: 462 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6